CURLOPT_STDERR(3)

NAME
CURLOPT_STDERR - redirect stderr to another stream

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_STDERR, FILE *stream);

DESCRIPTION
Pass a FILE * as parameter. Tell libcurl to use this stream instead of stderr when showing the progress meter and displaying CURLOPT_VERBOSE(3) data.

If you are using libcurl as a Windows DLL, this option causes an exception and a crash in the library since it cannot access a FILE * passed on from the application. A workaround is to instead use CURLOPT_DEBUGFUNCTION(3).

DEFAULT
stderr

PROTOCOLS
This functionality affects all supported protocols

EXAMPLE
int main(void)
{
  CURL *curl;
  FILE *filep = fopen("dump", "wb");
  if(!filep)
    return 1;
  curl = curl_easy_init();
  if(curl) {
    CURLcode result;
    curl_easy_setopt(curl, CURLOPT_URL, "https://example.com");
    curl_easy_setopt(curl, CURLOPT_STDERR, filep);

    result = curl_easy_perform(curl);
    curl_easy_cleanup(curl);
  }
  fclose(filep);
}

AVAILABILITY
Added in curl 7.1

RETURN VALUE
curl_easy_setopt(3) returns a CURLcode indicating success or error.

CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLOPT_DEBUGFUNCTION(3), CURLOPT_NOPROGRESS(3), CURLOPT_VERBOSE(3)